Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPProblemInstance.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPProblemInstance.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPProblemInstance.cs	(revision 7934)
@@ -23,19 +23,18 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("MDCVRPProblemInstance", "Represents a multi depot CVRP instance.")]
   [StorableClass]
-  public class MDCVRPProblemInstance: MultiDepotVRPProblemInstance, IHeterogenousCapacitatedProblemInstance {
+  public class MDCVRPProblemInstance : MultiDepotVRPProblemInstance, IHeterogenousCapacitatedProblemInstance {
     protected IValueParameter<DoubleArray> CapacityParameter {
       get { return (IValueParameter<DoubleArray>)Parameters["Capacity"]; }
@@ -66,6 +65,6 @@
 
     protected override IEnumerable<IOperator> GetOperators() {
-        return base.GetOperators()
-          .Where(o => o is IHeterogenousCapacitatedOperator).Cast<IOperator>();
+      return base.GetOperators()
+        .Where(o => o is IHeterogenousCapacitatedOperator).Cast<IOperator>();
     }
 
@@ -81,5 +80,5 @@
       }
     }
-    
+
     [StorableConstructor]
     protected MDCVRPProblemInstance(bool deserializing) : base(deserializing) { }
@@ -99,9 +98,9 @@
     protected MDCVRPProblemInstance(MDCVRPProblemInstance original, Cloner cloner)
       : base(original, cloner) {
-        AttachEventHandlers();
+      AttachEventHandlers();
     }
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       AttachEventHandlers();
     }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWProblemInstance.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWProblemInstance.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWProblemInstance.cs	(revision 7934)
@@ -23,19 +23,18 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("MDCVRPPDTWProblemInstance", "Represents a multi depot CVRPPDTW instance.")]
   [StorableClass]
-  public class MDCVRPPDTWProblemInstance: MDCVRPTWProblemInstance, IPickupAndDeliveryProblemInstance {
+  public class MDCVRPPDTWProblemInstance : MDCVRPTWProblemInstance, IPickupAndDeliveryProblemInstance {
     protected IValueParameter<IntArray> PickupDeliveryLocationParameter {
       get { return (IValueParameter<IntArray>)Parameters["PickupDeliveryLocation"]; }
@@ -44,5 +43,5 @@
       get { return (IValueParameter<DoubleValue>)Parameters["EvalPickupViolationPenalty"]; }
     }
-    
+
     public IntArray PickupDeliveryLocation {
       get { return PickupDeliveryLocationParameter.Value; }
@@ -66,5 +65,5 @@
 
     protected override IEnumerable<IOperator> GetOperators() {
-      return 
+      return
         ApplicationManager.Manager.GetInstances<IPickupAndDeliveryOperator>()
         .Where(o => !(o is IAnalyzer))
@@ -77,5 +76,5 @@
         .Cast<IOperator>().Union(base.GetAnalyzers());
     }
-    
+
     protected override IVRPEvaluator Evaluator {
       get {
@@ -87,5 +86,5 @@
       return PickupDeliveryLocation[city - 1];
     }
-    
+
     [StorableConstructor]
     protected MDCVRPPDTWProblemInstance(bool deserializing) : base(deserializing) { }
@@ -106,9 +105,9 @@
     protected MDCVRPPDTWProblemInstance(MDCVRPPDTWProblemInstance original, Cloner cloner)
       : base(original, cloner) {
-        AttachEventHandlers();
+      AttachEventHandlers();
     }
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       AttachEventHandlers();
     }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWProblemInstance.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWProblemInstance.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWProblemInstance.cs	(revision 7934)
@@ -23,19 +23,18 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("MDCVRPTWProblemInstance", "Represents a multi depot CVRPTW instance.")]
   [StorableClass]
-  public class MDCVRPTWProblemInstance: MDCVRPProblemInstance, ITimeWindowedProblemInstance {
+  public class MDCVRPTWProblemInstance : MDCVRPProblemInstance, ITimeWindowedProblemInstance {
     protected IValueParameter<DoubleArray> ReadyTimeParameter {
       get { return (IValueParameter<DoubleArray>)Parameters["ReadyTime"]; }
@@ -97,5 +96,5 @@
         .Cast<IOperator>().Union(base.GetAnalyzers());
     }
-    
+
     protected override IVRPEvaluator Evaluator {
       get {
@@ -103,5 +102,5 @@
       }
     }
-    
+
     [StorableConstructor]
     protected MDCVRPTWProblemInstance(bool deserializing) : base(deserializing) { }
@@ -125,9 +124,9 @@
     protected MDCVRPTWProblemInstance(MDCVRPTWProblemInstance original, Cloner cloner)
       : base(original, cloner) {
-        AttachEventHandlers();
+      AttachEventHandlers();
     }
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       AttachEventHandlers();
     }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPProblemInstance.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPProblemInstance.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPProblemInstance.cs	(revision 7934)
@@ -23,19 +23,18 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPProblemInstance", "Represents a single depot CVRP instance.")]
   [StorableClass]
-  public class CVRPProblemInstance: SingleDepotVRPProblemInstance, IHomogenousCapacitatedProblemInstance {
+  public class CVRPProblemInstance : SingleDepotVRPProblemInstance, IHomogenousCapacitatedProblemInstance {
     protected IValueParameter<DoubleValue> CapacityParameter {
       get { return (IValueParameter<DoubleValue>)Parameters["Capacity"]; }
@@ -60,11 +59,12 @@
           return currentOverloadPenalty;
         else
-          return OverloadPenaltyParameter.Value; }
+          return OverloadPenaltyParameter.Value;
+      }
       set { CurrentOverloadPenaltyParameter.Value = value; }
     }
 
     protected override IEnumerable<IOperator> GetOperators() {
-        return base.GetOperators()
-          .Where(o => o is IHomogenousCapacitatedOperator).Cast<IOperator>();
+      return base.GetOperators()
+        .Where(o => o is IHomogenousCapacitatedOperator).Cast<IOperator>();
     }
 
@@ -80,5 +80,5 @@
       }
     }
-    
+
     [StorableConstructor]
     protected CVRPProblemInstance(bool deserializing) : base(deserializing) { }
@@ -98,9 +98,9 @@
     protected CVRPProblemInstance(CVRPProblemInstance original, Cloner cloner)
       : base(original, cloner) {
-        AttachEventHandlers();
+      AttachEventHandlers();
     }
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       AttachEventHandlers();
     }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWProblemInstance.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWProblemInstance.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWProblemInstance.cs	(revision 7934)
@@ -23,19 +23,18 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPPDTWProblemInstance", "Represents a single depot CVRPPDTW instance.")]
   [StorableClass]
-  public class CVRPPDTWProblemInstance: CVRPTWProblemInstance, IPickupAndDeliveryProblemInstance {
+  public class CVRPPDTWProblemInstance : CVRPTWProblemInstance, IPickupAndDeliveryProblemInstance {
     protected IValueParameter<IntArray> PickupDeliveryLocationParameter {
       get { return (IValueParameter<IntArray>)Parameters["PickupDeliveryLocation"]; }
@@ -44,5 +43,5 @@
       get { return (IValueParameter<DoubleValue>)Parameters["EvalPickupViolationPenalty"]; }
     }
-    
+
     public IntArray PickupDeliveryLocation {
       get { return PickupDeliveryLocationParameter.Value; }
@@ -66,5 +65,5 @@
 
     protected override IEnumerable<IOperator> GetOperators() {
-      return 
+      return
         ApplicationManager.Manager.GetInstances<IPickupAndDeliveryOperator>()
         .Where(o => !(o is IAnalyzer))
@@ -77,5 +76,5 @@
         .Cast<IOperator>().Union(base.GetAnalyzers());
     }
-    
+
     protected override IVRPEvaluator Evaluator {
       get {
@@ -87,5 +86,5 @@
       return PickupDeliveryLocation[city];
     }
-    
+
     [StorableConstructor]
     protected CVRPPDTWProblemInstance(bool deserializing) : base(deserializing) { }
@@ -106,9 +105,9 @@
     protected CVRPPDTWProblemInstance(CVRPPDTWProblemInstance original, Cloner cloner)
       : base(original, cloner) {
-        AttachEventHandlers();
+      AttachEventHandlers();
     }
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       AttachEventHandlers();
     }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWProblemInstance.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWProblemInstance.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWProblemInstance.cs	(revision 7934)
@@ -23,19 +23,18 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("CVRPTWProblemInstance", "Represents a single depot CVRPTW instance.")]
   [StorableClass]
-  public class CVRPTWProblemInstance: CVRPProblemInstance, ITimeWindowedProblemInstance {
+  public class CVRPTWProblemInstance : CVRPProblemInstance, ITimeWindowedProblemInstance {
     protected IValueParameter<DoubleArray> ReadyTimeParameter {
       get { return (IValueParameter<DoubleArray>)Parameters["ReadyTime"]; }
@@ -97,5 +96,5 @@
         .Cast<IOperator>().Union(base.GetAnalyzers());
     }
-    
+
     protected override IVRPEvaluator Evaluator {
       get {
@@ -103,5 +102,5 @@
       }
     }
-    
+
     [StorableConstructor]
     protected CVRPTWProblemInstance(bool deserializing) : base(deserializing) { }
@@ -125,9 +124,9 @@
     protected CVRPTWProblemInstance(CVRPTWProblemInstance original, Cloner cloner)
       : base(original, cloner) {
-        AttachEventHandlers();
+      AttachEventHandlers();
     }
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       AttachEventHandlers();
     }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/VRPProblemInstance.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/VRPProblemInstance.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/VRPProblemInstance.cs	(revision 7934)
@@ -23,14 +23,11 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Problems.VehicleRouting.Encodings.General;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Optimization;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Common;
-using HeuristicLab.Problems.VehicleRouting.Encodings.General;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
@@ -72,5 +69,5 @@
       }
     }
-    
+
     protected ValueParameter<DoubleMatrix> CoordinatesParameter {
       get { return (ValueParameter<DoubleMatrix>)Parameters["Coordinates"]; }
@@ -174,5 +171,5 @@
 
     public IVRPEvaluator SolutionEvaluator {
-      get {       
+      get {
         return evaluator;
       }
@@ -187,5 +184,5 @@
       if (distanceMatrix != null)
         distance = distanceMatrix[start, end];
-      else 
+      else
         distance = CalculateDistance(start, end);
 
@@ -199,5 +196,5 @@
       startDistance = GetDistance(start, customer, solution);
       endDistance = GetDistance(customer, end, solution);
-      
+
       double newDistance = startDistance + endDistance;
 
@@ -244,5 +241,5 @@
     protected abstract IVRPEvaluator Evaluator { get; }
     protected abstract IVRPCreator Creator { get; }
-    
+
     [StorableConstructor]
     protected VRPProblemInstance(bool deserializing) : base(deserializing) { }
@@ -265,10 +262,10 @@
     protected VRPProblemInstance(VRPProblemInstance original, Cloner cloner)
       : base(original, cloner) {
-      evaluator = Evaluator;  
+      evaluator = Evaluator;
       AttachEventHandlers();
     }
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       evaluator = Evaluator;
       AttachEventHandlers();