Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs	(revision 7942)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs	(revision 7944)
@@ -15,5 +15,6 @@
       wizard.AddPage(new WizardPage());
       wizard.AddPage(new MediumAnalysisPage(context));
-      wizard.AddPage(new ExperimentViewPage(context));
+      wizard.AddPage(new ResultPage(context));
+      //wizard.AddPage(new ExperimentViewPage(context));
 
     }
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7942)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7944)
@@ -43,4 +43,6 @@
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Clients.Hive-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Clients.Hive.JobManager-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.Collections-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
@@ -65,4 +67,6 @@
     </Reference>
     <Reference Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Hive-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.MainForm-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
@@ -107,4 +111,5 @@
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq" />
@@ -144,4 +149,10 @@
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="ResultPage.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ResultPage.Designer.cs">
+      <DependentUpon>ResultPage.cs</DependentUpon>
+    </Compile>
     <Compile Include="SelectAnalysisPage.cs">
       <SubType>UserControl</SubType>
@@ -168,4 +179,7 @@
     <EmbeddedResource Include="ProblemDataViewPage.resx">
       <DependentUpon>ProblemDataViewPage.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="ResultPage.resx">
+      <DependentUpon>ResultPage.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="SelectAnalysisPage.resx">
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.cs	(revision 7942)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.cs	(revision 7944)
@@ -40,41 +40,41 @@
 
       // SVR Experiment -------------------------------------------------------
-      SupportVectorRegression svr = new SupportVectorRegression();
-      svr.Problem = (IRegressionProblem)problem;
-      ParameterConfigurationTree vc = new ParameterConfigurationTree(svr, problem);
+      //SupportVectorRegression svr = new SupportVectorRegression();
+      //svr.Problem = (IRegressionProblem)problem;
+      //ParameterConfigurationTree vc = new ParameterConfigurationTree(svr, problem);
 
-      var nuRange = new DoubleValueRange(new DoubleValue(0.1), new DoubleValue(0.9), new DoubleValue(0.1));
-      SetParameterRangeContraint(vc, "Nu", nuRange);
+      //var nuRange = new DoubleValueRange(new DoubleValue(0.1), new DoubleValue(0.9), new DoubleValue(0.1));
+      //SetParameterRangeContraint(vc, "Nu", nuRange);
 
-      var costRange = new DoubleValueFactorRange(new DoubleValue(0.03125), new DoubleValue(32768), new DoubleValue(4));
-      SetParameterRangeContraint(vc, "Cost", costRange);
+      //var costRange = new DoubleValueFactorRange(new DoubleValue(0.03125), new DoubleValue(32768), new DoubleValue(4));
+      //SetParameterRangeContraint(vc, "Cost", costRange);
 
-      var gammaRange = new DoubleValueFactorRange(new DoubleValue(6.10352E-05), new DoubleValue(64), new DoubleValue(4));
-      SetParameterRangeContraint(vc, "Gamma", gammaRange);
-      worker.ReportProgress(5);
-      Experiment svrExperiment = vc.GenerateExperiment(svr);
+      //var gammaRange = new DoubleValueFactorRange(new DoubleValue(6.10352E-05), new DoubleValue(64), new DoubleValue(4));
+      //SetParameterRangeContraint(vc, "Gamma", gammaRange);
+      //worker.ReportProgress(5);
+      //Experiment svrExperiment = vc.GenerateExperiment(svr);
       // ======================================================================
       worker.ReportProgress(20);
 
       // RF Experiment --------------------------------------------------------
-      RandomForestRegression rfr = new RandomForestRegression();
-      rfr.Problem = (IRegressionProblem)problem;
-      ParameterConfigurationTree rfConfig = new ParameterConfigurationTree(rfr, problem);
-      var rRange = new DoubleValueRange(new DoubleValue(0.1), new DoubleValue(0.7), new DoubleValue(0.1));
-      SetParameterRangeContraint(rfConfig, "R", rRange);
-      var treeRange = new IntValueRange(new IntValue(250), new IntValue(250), new IntValue(250));
-      SetParameterRangeContraint(rfConfig, "Number of trees", treeRange);
-      Experiment rfrExperiment = rfConfig.GenerateExperiment(rfr);
+      //RandomForestRegression rfr = new RandomForestRegression();
+      //rfr.Problem = (IRegressionProblem)problem;
+      //ParameterConfigurationTree rfConfig = new ParameterConfigurationTree(rfr, problem);
+      //var rRange = new DoubleValueRange(new DoubleValue(0.1), new DoubleValue(0.7), new DoubleValue(0.1));
+      //SetParameterRangeContraint(rfConfig, "R", rRange);
+      //var treeRange = new IntValueRange(new IntValue(250), new IntValue(250), new IntValue(250));
+      //SetParameterRangeContraint(rfConfig, "Number of trees", treeRange);
+      //Experiment rfrExperiment = rfConfig.GenerateExperiment(rfr);
       // ======================================================================
       worker.ReportProgress(40);
       // NN Experiment --------------------------------------------------------
-      NeuralNetworkRegression nnr = new NeuralNetworkRegression();
-      nnr.Problem = (IRegressionProblem)problem;
-      ParameterConfigurationTree nnrConfig = new ParameterConfigurationTree(nnr, problem);
-      var decayRange = new DoubleValueFactorRange(new DoubleValue(0.001), new DoubleValue(100), new DoubleValue(10));
-      SetParameterRangeContraint(nnrConfig, "Decay", decayRange);
-      var nodesRange = new IntValueFactorRange(new IntValue(1), new IntValue(100), new IntValue(3));
-      SetParameterRangeContraint(nnrConfig, "NodesInFirstHiddenLayer", nodesRange);
-      Experiment nnrExperiment = nnrConfig.GenerateExperiment(nnr);
+      //NeuralNetworkRegression nnr = new NeuralNetworkRegression();
+      //nnr.Problem = (IRegressionProblem)problem;
+      //ParameterConfigurationTree nnrConfig = new ParameterConfigurationTree(nnr, problem);
+      //var decayRange = new DoubleValueFactorRange(new DoubleValue(0.001), new DoubleValue(100), new DoubleValue(10));
+      //SetParameterRangeContraint(nnrConfig, "Decay", decayRange);
+      //var nodesRange = new IntValueFactorRange(new IntValue(1), new IntValue(100), new IntValue(3));
+      //SetParameterRangeContraint(nnrConfig, "NodesInFirstHiddenLayer", nodesRange);
+      //Experiment nnrExperiment = nnrConfig.GenerateExperiment(nnr);
       // ======================================================================
       worker.ReportProgress(60);
@@ -126,7 +126,7 @@
 
       Experiment experiment = new Experiment("Data Analysis Experiment");
-      experiment.Optimizers.Add(svrExperiment);
-      experiment.Optimizers.Add(rfrExperiment);
-      experiment.Optimizers.Add(nnrExperiment);
+      //experiment.Optimizers.Add(svrExperiment);
+      //experiment.Optimizers.Add(rfrExperiment);
+      //experiment.Optimizers.Add(nnrExperiment);
       experiment.Optimizers.Add(gpExperiment);
 
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.Designer.cs	(revision 7944)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.Designer.cs	(revision 7944)
@@ -0,0 +1,98 @@
+﻿namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  partial class ResultPage {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.rbHL = new System.Windows.Forms.RadioButton();
+      this.label1 = new System.Windows.Forms.Label();
+      this.label2 = new System.Windows.Forms.Label();
+      this.rbHive = new System.Windows.Forms.RadioButton();
+      this.SuspendLayout();
+      // 
+      // rbHL
+      // 
+      this.rbHL.AutoSize = true;
+      this.rbHL.Checked = true;
+      this.rbHL.Location = new System.Drawing.Point(179, 87);
+      this.rbHL.Name = "rbHL";
+      this.rbHL.Size = new System.Drawing.Size(14, 13);
+      this.rbHL.TabIndex = 1;
+      this.rbHL.TabStop = true;
+      this.rbHL.UseVisualStyleBackColor = true;
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(0, 87);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(173, 13);
+      this.label1.TabIndex = 2;
+      this.label1.Text = "Open experiment as HL Experiment";
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(0, 113);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(146, 13);
+      this.label2.TabIndex = 3;
+      this.label2.Text = "Open experiment as Hive Job";
+      // 
+      // rbHive
+      // 
+      this.rbHive.AutoSize = true;
+      this.rbHive.Location = new System.Drawing.Point(179, 113);
+      this.rbHive.Name = "rbHive";
+      this.rbHive.Size = new System.Drawing.Size(14, 13);
+      this.rbHive.TabIndex = 4;
+      this.rbHive.UseVisualStyleBackColor = true;
+      // 
+      // ResultPage
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.rbHive);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.rbHL);
+      this.Name = "ResultPage";
+      this.SetActive += new System.ComponentModel.CancelEventHandler(this.ResultPage_SetActive);
+      this.WizardCommit += new System.ComponentModel.CancelEventHandler(this.ResultPage_WizardCommit);
+      this.WizardBack += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.ResultPage_WizardBack);
+      this.Controls.SetChildIndex(this.rbHL, 0);
+      this.Controls.SetChildIndex(this.label1, 0);
+      this.Controls.SetChildIndex(this.rbHive, 0);
+      this.Controls.SetChildIndex(this.label2, 0);
+      this.Controls.SetChildIndex(this.wizardBanner, 0);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.RadioButton rbHL;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.RadioButton rbHive;
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.cs	(revision 7944)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ResultPage.cs	(revision 7944)
@@ -0,0 +1,42 @@
+﻿
+using HeuristicLab.Clients.Hive;
+using HeuristicLab.Clients.Hive.JobManager.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.Optimization.Views;
+namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  public partial class ResultPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
+    private DataAnalysisWizardContext context;
+    public DataAnalysisWizardContext Context {
+      get { return context; }
+    }
+
+    public ResultPage(DataAnalysisWizardContext context) {
+      InitializeComponent();
+      this.context = context;
+    }
+
+    private void ResultPage_SetActive(object sender, System.ComponentModel.CancelEventArgs e) {
+      SetWizardButton(Wizard.WizardButtons.Back);
+      SetWizardButton(Wizard.WizardButtons.Commit);
+      SetCommitButtonText("Finish");
+    }
+
+    private void ResultPage_WizardCommit(object sender, System.ComponentModel.CancelEventArgs e) {
+      if (rbHL.Checked) {
+        // Open generated experiment in HL
+        IContentView view = MainFormManager.MainForm.ShowContent(this.Context.Experiment, new ExperimentView().GetType());
+      } else if (rbHive.Checked) {
+        // Create and start Hive job 
+        var job = new RefreshableJob();
+        job.IsAllowedPrivileged = true;
+        job.Job.Name = "Data Analysis Service Job";
+        job.HiveTasks.Add(new OptimizerHiveTask(this.Context.Experiment));
+        IContentView view = MainFormManager.MainForm.ShowContent(job, new HiveJobManagerView().GetType());
+      }
+    }
+
+    private void ResultPage_WizardBack(object sender, Wizard.WizardPageEventArgs e) {
+      e.NewPage = "SelectAnalysisPage";
+    }
+  }
+}