Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs	(revision 7944)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs	(revision 7953)
@@ -11,5 +11,5 @@
       wizard.Text = "Data Analysis Service";
       wizard.AddPage(new ProblemDataPage(context));
-      wizard.AddPage(new ProblemDataViewPage(context));
+      wizard.AddPage(new TargetVariablePage(context));
       wizard.AddPage(new SelectAnalysisPage(context));
       wizard.AddPage(new WizardPage());
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7944)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7953)
@@ -142,9 +142,9 @@
       <DependentUpon>ProblemDataPage.cs</DependentUpon>
     </Compile>
-    <Compile Include="ProblemDataViewPage.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ProblemDataViewPage.Designer.cs">
-      <DependentUpon>ProblemDataViewPage.cs</DependentUpon>
+    <Compile Include="TargetVariablePage.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="TargetVariablePage.Designer.cs">
+      <DependentUpon>TargetVariablePage.cs</DependentUpon>
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
@@ -177,6 +177,6 @@
       <DependentUpon>ProblemDataPage.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="ProblemDataViewPage.resx">
-      <DependentUpon>ProblemDataViewPage.cs</DependentUpon>
+    <EmbeddedResource Include="TargetVariablePage.resx">
+      <DependentUpon>TargetVariablePage.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="ResultPage.resx">
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Plugin.cs.frame
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Plugin.cs.frame	(revision 7944)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Plugin.cs.frame	(revision 7953)
@@ -30,4 +30,7 @@
   [PluginDependency("HeuristicLab.Algorithms.DataAnalysis.Views", "3.4")]
   [PluginDependency("HeuristicLab.Algorithms.DataAnalysis", "3.4")]
+  [PluginDependency("HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm", "3.3")]
+  [PluginDependency("HeuristicLab.Clients.Hive", "3.3")]
+  [PluginDependency("HeuristicLab.Clients.HiveJobManager", "3.3")]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
@@ -38,7 +41,10 @@
   [PluginDependency("HeuristicLab.Data.Views", "3.3")]
   [PluginDependency("HeuristicLab.Encodings.ParameterConfigurationTreeEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding", "3.4")]
   [PluginDependency("HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard", "3.3")]
+  [PluginDependency("HeuristicLab.Hive", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
+  [PluginDependency("HeuristicLab.Operators", "3.3")]
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
   [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
@@ -47,7 +53,10 @@
   [PluginDependency("HeuristicLab.Parameters.Views", "3.3")]
   [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis.Symbolic", "3.4")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis.Regression", "3.4")]
   [PluginDependency("HeuristicLab.Problems.DataAnalysis.Views", "3.4")]
   [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
   [PluginDependency("HeuristicLab.Problems.Instances.DataAnalysis", "3.3")]
+  [PluginDependency("HeuristicLab.Selection", "3.3")]
   [PluginDependency("HeuristicLab.Visualization.ChartControlsExtensions", "3.3")]
   public class HeuristicLabExperimentGenerationDataAnalysisExperimentWizardPlugin : PluginBase {
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs	(revision 7944)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs	(revision 7953)
@@ -24,5 +24,9 @@
     /// </summary>
     private void InitializeComponent() {
-      this.problemView = new HeuristicLab.Optimization.Views.ProblemView();
+      this.label1 = new System.Windows.Forms.Label();
+      this.txtFilePath = new System.Windows.Forms.TextBox();
+      this.btnChooseFile = new System.Windows.Forms.Button();
+      this.label2 = new System.Windows.Forms.Label();
+      this.stringConvertibleMatrixView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
       this.SuspendLayout();
       // 
@@ -30,15 +34,60 @@
       // 
       this.wizardBanner.Size = new System.Drawing.Size(640, 81);
+      this.wizardBanner.Subtitle = "Select the CSV file containing the data.";
+      this.wizardBanner.Title = "Data File";
       // 
-      // problemView
+      // label1
       // 
-      this.problemView.Caption = "Problem View";
-      this.problemView.Content = null;
-      this.problemView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.problemView.Location = new System.Drawing.Point(0, 81);
-      this.problemView.Name = "problemView";
-      this.problemView.ReadOnly = false;
-      this.problemView.Size = new System.Drawing.Size(640, 399);
-      this.problemView.TabIndex = 1;
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(3, 90);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(95, 13);
+      this.label1.TabIndex = 2;
+      this.label1.Text = "Choose a CSV file:";
+      // 
+      // txtFilePath
+      // 
+      this.txtFilePath.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.txtFilePath.Enabled = false;
+      this.txtFilePath.Location = new System.Drawing.Point(104, 87);
+      this.txtFilePath.Name = "txtFilePath";
+      this.txtFilePath.Size = new System.Drawing.Size(501, 20);
+      this.txtFilePath.TabIndex = 3;
+      // 
+      // btnChooseFile
+      // 
+      this.btnChooseFile.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.btnChooseFile.Location = new System.Drawing.Point(611, 85);
+      this.btnChooseFile.Name = "btnChooseFile";
+      this.btnChooseFile.Size = new System.Drawing.Size(26, 23);
+      this.btnChooseFile.TabIndex = 4;
+      this.btnChooseFile.Text = "...";
+      this.btnChooseFile.UseVisualStyleBackColor = true;
+      this.btnChooseFile.Click += new System.EventHandler(this.btnChooseFile_Click);
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(3, 124);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(72, 13);
+      this.label2.TabIndex = 5;
+      this.label2.Text = "Preview data:";
+      // 
+      // stringConvertibleMatrixView
+      // 
+      this.stringConvertibleMatrixView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.stringConvertibleMatrixView.Caption = "StringConvertibleMatrix View";
+      this.stringConvertibleMatrixView.Content = null;
+      this.stringConvertibleMatrixView.Location = new System.Drawing.Point(6, 140);
+      this.stringConvertibleMatrixView.Name = "stringConvertibleMatrixView";
+      this.stringConvertibleMatrixView.ReadOnly = false;
+      this.stringConvertibleMatrixView.ShowRowsAndColumnsTextBox = true;
+      this.stringConvertibleMatrixView.ShowStatisticalInformation = true;
+      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(631, 337);
+      this.stringConvertibleMatrixView.TabIndex = 6;
       // 
       // ProblemDataPage
@@ -46,5 +95,9 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.problemView);
+      this.Controls.Add(this.stringConvertibleMatrixView);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.btnChooseFile);
+      this.Controls.Add(this.txtFilePath);
+      this.Controls.Add(this.label1);
       this.Name = "ProblemDataPage";
       this.Size = new System.Drawing.Size(640, 480);
@@ -52,6 +105,11 @@
       this.WizardNext += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.ProblemDataPage_WizardNext);
       this.Controls.SetChildIndex(this.wizardBanner, 0);
-      this.Controls.SetChildIndex(this.problemView, 0);
+      this.Controls.SetChildIndex(this.label1, 0);
+      this.Controls.SetChildIndex(this.txtFilePath, 0);
+      this.Controls.SetChildIndex(this.btnChooseFile, 0);
+      this.Controls.SetChildIndex(this.label2, 0);
+      this.Controls.SetChildIndex(this.stringConvertibleMatrixView, 0);
       this.ResumeLayout(false);
+      this.PerformLayout();
 
     }
@@ -59,5 +117,9 @@
     #endregion
 
-    private Optimization.Views.ProblemView problemView;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.TextBox txtFilePath;
+    private System.Windows.Forms.Button btnChooseFile;
+    private System.Windows.Forms.Label label2;
+    private Data.Views.StringConvertibleMatrixView stringConvertibleMatrixView;
 
   }
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs	(revision 7944)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs	(revision 7953)
@@ -1,7 +1,13 @@
-﻿using System.ComponentModel;
+﻿using System;
+using System.ComponentModel;
+using System.Windows.Forms;
 using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.Instances.DataAnalysis;
 
 namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
   public partial class ProblemDataPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
+    private RegressionProblem problem;
+    private RegressionCSVInstanceProvider instanceProvider;
+
     private DataAnalysisWizardContext context;
     public DataAnalysisWizardContext Context {
@@ -12,5 +18,7 @@
       InitializeComponent();
       this.context = context;
-      problemView.Content = new RegressionProblem();
+      stringConvertibleMatrixView.ReadOnly = true;
+      problem = new RegressionProblem();
+      instanceProvider = new RegressionCSVInstanceProvider();
     }
 
@@ -20,5 +28,21 @@
 
     private void ProblemDataPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
-      context.Problem = (IDataAnalysisProblem)problemView.Content;
+      context.Problem = problem;
+    }
+
+    private void btnChooseFile_Click(object sender, System.EventArgs e) {
+      OpenFileDialog fileDialog = new OpenFileDialog();
+      fileDialog.Filter = "csv files (*.csv)|*.csv|All files (*.*)|*.*";
+      if (fileDialog.ShowDialog() == DialogResult.OK) {
+        try {
+          txtFilePath.Text = fileDialog.FileName;
+          IRegressionProblemData problemData = instanceProvider.LoadData(fileDialog.FileName);
+          problem.Load(problemData);
+          stringConvertibleMatrixView.Content = problem.ProblemData.Dataset;
+        }
+        catch (Exception ex) {
+          MessageBox.Show(String.Format("There was an error parsing the file: {0}", Environment.NewLine + ex.Message), "Error while parsing", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        }
+      }
     }
   }
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.Designer.cs	(revision 7944)
+++ 	(revision )
@@ -1,64 +1,0 @@
-﻿namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
-  partial class ProblemDataViewPage {
-    /// <summary>
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary>
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Windows Form Designer generated code
-
-    /// <summary>
-    /// Required method for Designer support - do not modify
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.stringConvertibleMatrixView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
-      this.SuspendLayout();
-      // 
-      // wizardBanner
-      // 
-      this.wizardBanner.Size = new System.Drawing.Size(471, 81);
-      // 
-      // stringConvertibleMatrixView
-      // 
-      this.stringConvertibleMatrixView.Caption = "StringConvertibleMatrix View";
-      this.stringConvertibleMatrixView.Content = null;
-      this.stringConvertibleMatrixView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.stringConvertibleMatrixView.Location = new System.Drawing.Point(0, 81);
-      this.stringConvertibleMatrixView.Name = "stringConvertibleMatrixView";
-      this.stringConvertibleMatrixView.ReadOnly = false;
-      this.stringConvertibleMatrixView.ShowRowsAndColumnsTextBox = true;
-      this.stringConvertibleMatrixView.ShowStatisticalInformation = true;
-      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(471, 230);
-      this.stringConvertibleMatrixView.TabIndex = 1;
-      // 
-      // ProblemDataViewPage
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.Controls.Add(this.stringConvertibleMatrixView);
-      this.Name = "ProblemDataViewPage";
-      this.Size = new System.Drawing.Size(471, 311);
-      this.SetActive += new System.ComponentModel.CancelEventHandler(this.ProblemDataViewPage_SetActive);
-      this.WizardNext += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.ProblemDataViewPage_WizardNext);
-      this.Controls.SetChildIndex(this.wizardBanner, 0);
-      this.Controls.SetChildIndex(this.stringConvertibleMatrixView, 0);
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-    private Data.Views.StringConvertibleMatrixView stringConvertibleMatrixView;
-  }
-}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.cs	(revision 7944)
+++ 	(revision )
@@ -1,23 +1,0 @@
-﻿
-namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
-  public partial class ProblemDataViewPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
-    private DataAnalysisWizardContext context;
-    public DataAnalysisWizardContext Context {
-      get { return context; }
-    }
-
-    public ProblemDataViewPage(DataAnalysisWizardContext context) {
-      InitializeComponent();
-      this.context = context;
-    }
-
-    private void ProblemDataViewPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
-
-    }
-
-    private void ProblemDataViewPage_SetActive(object sender, System.ComponentModel.CancelEventArgs e) {
-      stringConvertibleMatrixView.Content = Context.Problem.ProblemData.Dataset;
-      SetWizardButton(Wizard.WizardButtons.Next);
-    }
-  }
-}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/TargetVariablePage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/TargetVariablePage.Designer.cs	(revision 7953)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/TargetVariablePage.Designer.cs	(revision 7953)
@@ -0,0 +1,110 @@
+﻿namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  partial class TargetVariablePage {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.stringConvertibleMatrixView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
+      this.label1 = new System.Windows.Forms.Label();
+      this.cmbTargetVariable = new System.Windows.Forms.ComboBox();
+      this.label2 = new System.Windows.Forms.Label();
+      this.SuspendLayout();
+      // 
+      // wizardBanner
+      // 
+      this.wizardBanner.Size = new System.Drawing.Size(471, 81);
+      this.wizardBanner.Subtitle = "Select the solumn which describes the expected output values.";
+      this.wizardBanner.Title = "Target Variable";
+      // 
+      // stringConvertibleMatrixView
+      // 
+      this.stringConvertibleMatrixView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.stringConvertibleMatrixView.Caption = "StringConvertibleMatrix View";
+      this.stringConvertibleMatrixView.Content = null;
+      this.stringConvertibleMatrixView.Location = new System.Drawing.Point(6, 140);
+      this.stringConvertibleMatrixView.Name = "stringConvertibleMatrixView";
+      this.stringConvertibleMatrixView.ReadOnly = false;
+      this.stringConvertibleMatrixView.ShowRowsAndColumnsTextBox = true;
+      this.stringConvertibleMatrixView.ShowStatisticalInformation = true;
+      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(462, 168);
+      this.stringConvertibleMatrixView.TabIndex = 1;
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(3, 91);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(110, 13);
+      this.label1.TabIndex = 2;
+      this.label1.Text = "Select target variable:";
+      // 
+      // cmbTargetVariable
+      // 
+      this.cmbTargetVariable.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.cmbTargetVariable.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.cmbTargetVariable.FormattingEnabled = true;
+      this.cmbTargetVariable.Location = new System.Drawing.Point(119, 88);
+      this.cmbTargetVariable.Name = "cmbTargetVariable";
+      this.cmbTargetVariable.Size = new System.Drawing.Size(349, 21);
+      this.cmbTargetVariable.TabIndex = 3;
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(3, 124);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(72, 13);
+      this.label2.TabIndex = 4;
+      this.label2.Text = "Preview data:";
+      // 
+      // ProblemDataViewPage
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.cmbTargetVariable);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.stringConvertibleMatrixView);
+      this.Name = "ProblemDataViewPage";
+      this.Size = new System.Drawing.Size(471, 311);
+      this.SetActive += new System.ComponentModel.CancelEventHandler(this.ProblemDataViewPage_SetActive);
+      this.WizardNext += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.ProblemDataViewPage_WizardNext);
+      this.Controls.SetChildIndex(this.wizardBanner, 0);
+      this.Controls.SetChildIndex(this.stringConvertibleMatrixView, 0);
+      this.Controls.SetChildIndex(this.label1, 0);
+      this.Controls.SetChildIndex(this.cmbTargetVariable, 0);
+      this.Controls.SetChildIndex(this.label2, 0);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private Data.Views.StringConvertibleMatrixView stringConvertibleMatrixView;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.ComboBox cmbTargetVariable;
+    private System.Windows.Forms.Label label2;
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/TargetVariablePage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/TargetVariablePage.cs	(revision 7953)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/TargetVariablePage.cs	(revision 7953)
@@ -0,0 +1,36 @@
+﻿
+using System.Linq;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Problems.DataAnalysis;
+namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  public partial class TargetVariablePage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
+    private RegressionProblemData problem;
+    private DataAnalysisWizardContext context;
+    public DataAnalysisWizardContext Context {
+      get { return context; }
+    }
+
+    public TargetVariablePage(DataAnalysisWizardContext context) {
+      InitializeComponent();
+      this.context = context;
+    }
+
+    private void ProblemDataViewPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
+      StringValue selectedValue = problem.TargetVariableParameter.ValidValues.FirstOrDefault(x => x.Value == (string)cmbTargetVariable.SelectedItem);
+      problem.TargetVariableParameter.Value = selectedValue;
+    }
+
+    private void ProblemDataViewPage_SetActive(object sender, System.ComponentModel.CancelEventArgs e) {
+      cmbTargetVariable.Items.Clear();
+      problem = (RegressionProblemData)Context.Problem.ProblemData;
+      ItemSet<StringValue> targetValues = problem.TargetVariableParameter.ValidValues;
+      foreach (StringValue value in targetValues) {
+        cmbTargetVariable.Items.Add(value.Value);
+      }
+      cmbTargetVariable.SelectedItem = problem.TargetVariable;
+      stringConvertibleMatrixView.Content = Context.Problem.ProblemData.Dataset;
+      SetWizardButton(Wizard.WizardButtons.Next);
+    }
+  }
+}